SystemOrganization addCategory: #ConfigurationOfPhantomSpy!

Object subclass: #ConfigurationOfPhantomSpy
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfPhantomSpy'!

!ConfigurationOfPhantomSpy class methodsFor: 'development support' stamp: 'dgg 12/16/2011 20:34'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfPhantomSpy class methodsFor: 'private' stamp: 'dgg 12/16/2011 20:34'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfPhantomSpy class methodsFor: 'private' stamp: 'dgg 12/16/2011 20:34'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfPhantomSpy class methodsFor: 'private' stamp: 'dgg 12/16/2011 20:34'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfPhantomSpy class methodsFor: 'metacello tool support' stamp: 'dgg 12/16/2011 20:34'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfPhantomSpy class methodsFor: 'loading' stamp: 'dgg 12/16/2011 20:34'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfPhantomSpy class methodsFor: 'loading' stamp: 'dgg 12/16/2011 20:34'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfPhantomSpy class methodsFor: 'loading' stamp: 'dgg 12/16/2011 20:34'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfPhantomSpy class methodsFor: 'accessing' stamp: 'dgg 12/16/2011 20:34'!
project

	^self new project! !

!ConfigurationOfPhantomSpy class methodsFor: 'development support' stamp: 'dgg 12/16/2011 20:34'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfPhantomSpy methodsFor: 'baselines' stamp: 'dgg 10/28/2012 19:46'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/PhantomSpy'.
		spec 
			project: 'Phantom' with: [
				spec
					className: 'ConfigurationOfPhantom';
					versionString: #'development';
					repository: 'http://ss3.gemstone.com/ss/Phantom' ];
			project: 'Fuel' with: [
				spec
					className: 'ConfigurationOfFuel';
					versionString: #stable;
					repository: 'http://ss3.gemstone.com/ss/Fuel' ];
			package: 'Spy' with: [
				spec requires: #('Phantom' 'Fuel'). ].
		spec group: 'default' with: #('Spy' ). ].
	
	spec for: #'pharo1.3.x' do: [
		spec project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: #'stable';
					repository: 'http://www.squeaksource.com/XMLSupport' ].
		spec package: 'Spy' with: [
			spec requires: #('Phantom' 'XMLSupport' 'Fuel'). ]].
	
	spec for: #'pharo1.4.x' do: [
		spec project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: #'stable';
					repository: 'http://www.squeaksource.com/XMLSupport' ].
		spec package: 'Spy' with: [
			spec requires: #('Phantom' 'XMLSupport' 'Fuel'). ]].
	
	spec for: #'pharo2.0.x' do: [
		spec project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: #'stable';
					repository: 'http://www.squeaksource.com/XMLSupport' ].
		spec package: 'Spy' with: [
			spec requires: #('Phantom' 'XMLSupport' 'Fuel'). ]].
	spec for: #'squeak' do: [
		spec package: 'Zinc-HTTP' with: [spec repository: 'http://ss3.gemstone.com/ss/PhantomSpy'].
		spec package: 'Zinc-FileSystem-Legacy' with: [spec repository: 'http://www.squeaksource.com/ZincHTTPComponents'].
		spec package: 'Zinc-Pharo-Forward-Compatibility' with: [spec repository: 'http://www.squeaksource.com/ZincHTTPComponents'].
		spec package: 'Cryptography' with: [spec repository: 'http://www.squeaksource.com/Cryptography'].
		spec package: 'Spy-Compat' with: [spec repository: 'http://ss3.gemstone.com/ss/PhantomSpy'].
		spec package: 'Spy' with: [
			spec requires: #('Phantom' 'Fuel' 'Cryptography' 'Spy-Compat' 'Zinc-HTTP' 'Zinc-FileSystem-Legacy' 'Zinc-Pharo-Forward-Compatibility'). ]]

! !

!ConfigurationOfPhantomSpy methodsFor: 'symbolic versions' stamp: 'dgg 12/16/2011 20:40'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfPhantomSpy methodsFor: 'accessing' stamp: 'dgg 12/16/2011 20:34'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfPhantomSpy methodsFor: 'versions' stamp: 'dgg 10/28/2012 19:40'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'initial development version

- Better debugger browse capture
- Capture debugger button actions
- Capture windows position and extent
- XML output
- Better debugger browse capture
- Capture debugger button actions
- Capture windows position and extent
- XML output
- Better debugger browse capture
- Capture debugger button actions
- Capture windows position and extent
- XML output
- better OBBrowser browser pc to avoid capture on Window redraw
- capture focus change
- close log file on error
- record keyboard events
- xml cleanup
- fix xml output to produce valid xml
- store debugger stack information
- store menu actions
- store menu actions
- compress logs
- send logs to server on shutdown
- fix crash when server offline
- better menu events capture
- fix bug on system notification for new category
- refactoring
- add automatic upload process on background
- save old method source code on method modification
- fix on methodNotUndertood when logging stack
- added protocol create/modify/remove log
- added os, vm, image information to xml root
- added old description to class modification
- update upload protocol
- fix bug in classComment event
- fix bug on copypaste
- fix getSourceAspect bug
- stop recording events o memory
- clean some xml tags
- fix startup bug (startup without author set), maintaining default Pharo behavior
- stop recording events o memory
- clean some xml tags
- fix startup bug (startup without author set), maintaining default Pharo behavior
- get more info on stack
- fix stack log to handle errors
- fix error on method modification and add not loging protocol
- add info on inspector creation for tracking
- feedback on spy install/uninstall
- added os and osVersion
- fix bug on method modified
- changes to standarize xml output
- change GetSourceAspect to work with Pharo1.4 browser
- unifying behavior with pharo1.4
- unifying behavior with pharo1.4
- unifying behavior with pharo1.4
- added Test Runner logging
- added windowOpen windowClose and model information
- added logging for Gofer load
- disable automatic update during load
- disable upload process on shutdown
- upload fuel dumps
- typos
- added xml schema as method
- fix message to use new Phantom syntax
- added nautilus to browsers captured by the plugin
- added system settings
- added server url settings
- update upload process to use new Zn cliente (ZnEasy)
- fix fuel version asString
- added dump field on fuel dump'.
		spec author: 'DanielGaldames'.
		spec timestamp: '5/27/2012 13:37'.
		spec 
			project: 'Phantom' with: #'development';
			project: 'Fuel' with: #'stable'.
		spec package: 'Spy' with: 'Spy-DanielGaldames.45'. ].
	
	spec for: #'pharo1.3.x' do: [
		spec blessing: #'development'.
		spec description:  'initial development version'.
		spec 
			project: 'XMLSupport' with: #'stable'. ].
	
	spec for: #'pharo1.4.x' do: [
		spec blessing: #'development'.
		spec description:  'initial development version'.
		spec 
			project: 'XMLSupport' with: #'stable'.].
	
	spec for: #'pharo2.0.x' do: [
		spec blessing: #'development'.
		spec description:  'initial development version'.
		spec 
			project: 'XMLSupport' with: #'stable'.].
		
	spec for: #'squeak' do: [
		spec blessing: #'development'.
		spec description:  'initial development version'.
		spec package: 'Zinc-HTTP' with: 'Zinc-HTTP-dgg.312'.
		spec package: 'Zinc-FileSystem-Legacy' with: 'Zinc-FileSystem-Legacy-SvenVanCaekenberghe.3'.
		spec package: 'Zinc-Pharo-Forward-Compatibility' with: 'Zinc-Pharo-Forward-Compatibility-SvenVanCaekenberghe.3'.
		spec package: 'Spy-Compat' with: 'Spy-Compat-dgg.1'.
		spec package: 'Cryptography' with: 'Cryptography-mtf.36']
! !
